# PPluginService Class Reference

`#include <plugin.h>`

Inheritance diagram for PPluginService:

List of all members.

## Public Member Functions

| PPluginService (const PString &name, const PString &type, PPluginServiceDescriptor *desc)

## Public Attributes

PString | serviceName
PString | serviceType
PPluginServiceDescriptor * | descriptor

## Constructor & Destructor Documentation

PPluginService::PPluginService | ( | const PString & | name,
|  | const PString & | type,
|  | PPluginServiceDescriptor * | desc |
| ) |  |  | `[inline]`

## Member Data Documentation

PPluginServiceDescriptor* PPluginService::descriptor

PString PPluginService::serviceName

PString PPluginService::serviceType

The documentation for this class was generated from the following file:

- plugin.h